E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
G::Slot::Signal1< P > Class Template Reference

A signal class for one-parameter callbacks. More...

`#include <gslot.h>`

Inheritance diagram for G::Slot::Signal1< P >:

## Public Member Functions
| Signal1 (bool once=false)
void | emit (P p)
void | connect (Slot1< P > slot)
void | disconnect ()
void | reset ()

## Detailed Description

### template<typename P>
class G::Slot::Signal1< P >

A signal class for one-parameter callbacks.

Definition at line 265 of file gslot.h.

The documentation for this class was generated from the following file:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/glib/gslot.h